HALBs

List

get

Retrieve a list of the HALB Virtual Server settings.

Query parameters
NamestringOptional

The name of te HALB Virtual Server

SiteIdinteger · int32Optional

The site ID from where to retrieve the HALB Virtual Server Settings (optional)

Responses
chevron-right
200

Success

application/json; api-version=1.0

HALB Virtual Server settings

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

namestring · nullableOptional

Appliance name.

siteIdinteger · int32Optional

The site ID of this HALB Virtual Server.

descriptionstring · nullableOptional

Appliance description.

publicAddressstring · nullableOptional

The Public Address of the HALB.

enableGatewayPayloadbooleanOptional

Whether the Gateway payload is enabled or not.

enableSSLPayloadbooleanOptional

Whether the SSL payload is enabled or not.

enableHALBInstancebooleanOptional

Whether the HALB instance is enabled or not.

enableDeviceManagementbooleanOptional

Whether the Device Management is enabled or not.

ipVersionstring · enumOptional

IP Version

Possible values:
virtualIPV4string · nullableOptional

Virtual IP Version 4

subNetMaskstring · nullableOptional

SubNet Mask

virtualIPV6string · nullableOptional

Virtual IP Version 6

prefixIPV6integer · int32Optional

Prefix for IP Version 6

enableUDPTunnelingbooleanOptional

Whether RDP UDP tunneling is enabled or not.

maxTCPConnectionsinteger · int32Optional

Maximum number of TCP connections.

algorithmstring · enumOptional

Load Balancing Algorithm

Possible values:
clientIdleTimeoutinteger · int32Optional

Client inactivity timeout

gatewayConnectionTimeoutinteger · int32Optional

Gateway connection timeout

clientQueueTimeoutinteger · int32Optional

Client connection queue timeout

gatewayIdleTimeoutinteger · int32Optional

Gateway inactivity timeout

sessionsRateinteger · int32Optional

Amount of TCP connections per second

gatewayHealthCheckIntervalinteger · int32Optional

Gateways health check intervals

virtualRouterIDinteger · int32Optional

VRRP virtual router ID Value between 0 and 255 unique per site. Value should be randomized to increase probability that it's also unique between farms.

vrrpBroadcastIntervalinteger · int32Optional

VRRP broadcast interval

vrrpHealthCheckIntervalinteger · int32Optional

VRRP health script check interval

vrrpHealthCheckTimeoutinteger · int32Optional

VRRP health script check timeout

vrrpAdvertIntervalinteger · int32Optional

VRRP advertisement interval

keepLBProxyConfigbooleanOptional

Keep existing load balancing settings

keepVRRPConfigbooleanOptional

Keep existing VRRP/keepalived setting

get
/api/HALB

Create

post

Create a new entry for the HALB Virtual Server settings

Query parameters
noInstallbooleanOptional

Set it to true if HALB Devices should be initialized after being added. (optional)

Body

Create a new HALB Virtual Server

descriptionstring · min: 1 · max: 127 · nullableOptional

The HALB Virtual Server description.

publicAddressstring · nullableOptional

The HALB Virtual Server Public Address.

virtualIPv4string · nullableOptional

The IPv4 of the HALB Virtual Server.

subnetMaskstring · nullableOptional

The Subnet Mask of the HALB Virtual Server.

virtualIPv6string · nullableOptional

The IPv6 of the HALB Virtual Server.

prefixIPV6integer · int32 · nullableOptional

The IPv6 Prefix of the HALB Virtual Server.

enableTunnelingboolean · nullableOptional

Enable/Disable the RDP/UDP of the HALB Virtual Server.

maxTCPConnectionsinteger · int32 · nullableOptional

The Maximum allowed TCP Connections to the HALB Virtual Server.

vrrpAuthenticationPasswordstring · nullableOptional

The VRRP Authentication password.

clientIdleTimeoutinteger · int32 · nullableOptional

The client inactivity timeout.

gatewayConnectionTimeoutinteger · int32 · nullableOptional

The Gateway connection timeout.

clientQueueTimeoutinteger · int32 · nullableOptional

The client queue timeout.

gatewayIdleTimeoutinteger · int32 · nullableOptional

The Gateway inactivity timeout.

sessionRateinteger · int32 · nullableOptional

The amount of TCP connections per second.

gatewayHealthCheckIntervalsinteger · int32 · nullableOptional

The Gateway Health check intervals in seconds.

vrrpVirtualRouterIDinteger · int32 · nullableOptional

The Virtual Router ID of HALB Virtual Server (if not set, the router ID will be automatically computed).

vrrpBroadcastIntervalinteger · int32 · nullableOptional

The VRRP broadcast interval in minutes.

vrrpHealthScriptCheckIntervalinteger · int32 · nullableOptional

The VRRP health script check interval in seconds.

vrrpHealthScriptCheckTimeoutinteger · int32 · nullableOptional

The VRRP health script check timeout in seconds.

vrrpAdvertisementIntervalinteger · int32 · nullableOptional

The VRRP Advertisement interval in seconds.

keepLBProxyConfigboolean · nullableOptional

Enable/Disable keeping of existing loadbalancing settings.

keepVRRPConfigboolean · nullableOptional

Enable/Disable keeping of existing VRRP/keepalive settings.

lbGatewaysstring[] · nullableOptional

The list of the Non-SSL Gateways for HALB Virtual Server.

lbGatewayPortinteger · int32 · nullableOptional

The Non-SSL Gateway port.

sslModestring · enumOptional

Load Balancing SSL Mode

Possible values:
lbsslGatewaysstring[] · nullableOptional

The list of the SSL Gateways for HALB Virtual Server.

lbsslGatewayPortinteger · int32 · nullableOptional

The SSL Gateway port.

acceptedSSLVersionstring · enumOptional

Accepted SSL Versions

Possible values:
cipherStrengthstring · enumOptional

Cipher Strength

Possible values:
cipherPreferenceboolean · nullableOptional

Enable or disable 'Use ciphers according to server preference'.

sslCustomCipherstring · min: 1 · max: 512 · nullableOptional

The SSL custom cipher for SSL Gateways.

certificateIDinteger · int32 · nullableOptional

The certificate ID.

deviceManagerGatewaysstring[] · nullableOptional

The list of the Device Management Gateways for HALB Virtual Server.

namestring · min: 1 · max: 127 · nullableRequired

The HALB Virtual Server name.

siteIdinteger · int32Optional

The site ID where the HALB settings will be created.

ipVersionstring · enumRequired

IP Version

Possible values:
deviceIPsstring[] · nullableOptional

The list of the HALB Device IPs.

enableGatewayPayloadbooleanOptional

Enable/Disable the Non-SSL Gateway configuration of the HALB Virtual Server .

Default: false
enableSSLPayloadbooleanOptional

Enable/Disable the SSL Gateway configuration of the HALB Virtual Server.

Default: false
enableDeviceManagementbooleanOptional

Enable/Disable the Device Management configuration of the HALB Virtual Server.

Default: false
Responses
post
/api/HALB

Get

get

Retrieve a specific HALB Virtual Server

Path parameters
idinteger · int32Required

The ID of the HALB Virtual Server

Responses
chevron-right
200

Success

application/json; api-version=1.0

HALB Virtual Server settings

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

namestring · nullableOptional

Appliance name.

siteIdinteger · int32Optional

The site ID of this HALB Virtual Server.

descriptionstring · nullableOptional

Appliance description.

publicAddressstring · nullableOptional

The Public Address of the HALB.

enableGatewayPayloadbooleanOptional

Whether the Gateway payload is enabled or not.

enableSSLPayloadbooleanOptional

Whether the SSL payload is enabled or not.

enableHALBInstancebooleanOptional

Whether the HALB instance is enabled or not.

enableDeviceManagementbooleanOptional

Whether the Device Management is enabled or not.

ipVersionstring · enumOptional

IP Version

Possible values:
virtualIPV4string · nullableOptional

Virtual IP Version 4

subNetMaskstring · nullableOptional

SubNet Mask

virtualIPV6string · nullableOptional

Virtual IP Version 6

prefixIPV6integer · int32Optional

Prefix for IP Version 6

enableUDPTunnelingbooleanOptional

Whether RDP UDP tunneling is enabled or not.

maxTCPConnectionsinteger · int32Optional

Maximum number of TCP connections.

algorithmstring · enumOptional

Load Balancing Algorithm

Possible values:
clientIdleTimeoutinteger · int32Optional

Client inactivity timeout

gatewayConnectionTimeoutinteger · int32Optional

Gateway connection timeout

clientQueueTimeoutinteger · int32Optional

Client connection queue timeout

gatewayIdleTimeoutinteger · int32Optional

Gateway inactivity timeout

sessionsRateinteger · int32Optional

Amount of TCP connections per second

gatewayHealthCheckIntervalinteger · int32Optional

Gateways health check intervals

virtualRouterIDinteger · int32Optional

VRRP virtual router ID Value between 0 and 255 unique per site. Value should be randomized to increase probability that it's also unique between farms.

vrrpBroadcastIntervalinteger · int32Optional

VRRP broadcast interval

vrrpHealthCheckIntervalinteger · int32Optional

VRRP health script check interval

vrrpHealthCheckTimeoutinteger · int32Optional

VRRP health script check timeout

osUpdatebooleanOptional

Whether OS updates are enabled or not

vrrpAdvertIntervalinteger · int32Optional

VRRP advertisement interval

keepLBProxyConfigbooleanOptional

Keep existing load balancing settings

keepVRRPConfigbooleanOptional

Keep existing VRRP/keepalived setting

get
/api/HALB/{id}

Update

put

Modify the settings of the specific HALB Virtual Server

Path parameters
idinteger · int32Required

The ID of the HALB Virtual Server

Body

Update a HALB Virtual Server

descriptionstring · min: 1 · max: 127 · nullableOptional

The HALB Virtual Server description.

publicAddressstring · nullableOptional

The HALB Virtual Server Public Address.

virtualIPv4string · nullableOptional

The IPv4 of the HALB Virtual Server.

subnetMaskstring · nullableOptional

The Subnet Mask of the HALB Virtual Server.

virtualIPv6string · nullableOptional

The IPv6 of the HALB Virtual Server.

prefixIPV6integer · int32 · nullableOptional

The IPv6 Prefix of the HALB Virtual Server.

enableTunnelingboolean · nullableOptional

Enable/Disable the RDP/UDP of the HALB Virtual Server.

maxTCPConnectionsinteger · int32 · nullableOptional

The Maximum allowed TCP Connections to the HALB Virtual Server.

vrrpAuthenticationPasswordstring · nullableOptional

The VRRP Authentication password.

clientIdleTimeoutinteger · int32 · nullableOptional

The client inactivity timeout.

gatewayConnectionTimeoutinteger · int32 · nullableOptional

The Gateway connection timeout.

clientQueueTimeoutinteger · int32 · nullableOptional

The client queue timeout.

gatewayIdleTimeoutinteger · int32 · nullableOptional

The Gateway inactivity timeout.

sessionRateinteger · int32 · nullableOptional

The amount of TCP connections per second.

gatewayHealthCheckIntervalsinteger · int32 · nullableOptional

The Gateway Health check intervals in seconds.

vrrpVirtualRouterIDinteger · int32 · nullableOptional

The Virtual Router ID of HALB Virtual Server (if not set, the router ID will be automatically computed).

vrrpBroadcastIntervalinteger · int32 · nullableOptional

The VRRP broadcast interval in minutes.

vrrpHealthScriptCheckIntervalinteger · int32 · nullableOptional

The VRRP health script check interval in seconds.

vrrpHealthScriptCheckTimeoutinteger · int32 · nullableOptional

The VRRP health script check timeout in seconds.

vrrpAdvertisementIntervalinteger · int32 · nullableOptional

The VRRP Advertisement interval in seconds.

enableOSUpdatesboolean · nullableOptional

Enable/Disable OS updates.

keepLBProxyConfigboolean · nullableOptional

Enable/Disable keeping of existing loadbalancing settings.

keepVRRPConfigboolean · nullableOptional

Enable/Disable keeping of existing VRRP/keepalive settings.

lbGatewaysstring[] · nullableOptional

The list of the Non-SSL Gateways for HALB Virtual Server.

lbGatewayPortinteger · int32 · nullableOptional

The Non-SSL Gateway port.

sslModestring · enumOptional

Load Balancing SSL Mode

Possible values:
lbsslGatewaysstring[] · nullableOptional

The list of the SSL Gateways for HALB Virtual Server.

lbsslGatewayPortinteger · int32 · nullableOptional

The SSL Gateway port.

acceptedSSLVersionstring · enumOptional

Accepted SSL Versions

Possible values:
cipherStrengthstring · enumOptional

Cipher Strength

Possible values:
cipherPreferenceboolean · nullableOptional

Enable or disable 'Use ciphers according to server preference'.

sslCustomCipherstring · min: 1 · max: 512 · nullableOptional

The SSL custom cipher for SSL Gateways.

certificateIDinteger · int32 · nullableOptional

The certificate ID.

deviceManagerGatewaysstring[] · nullableOptional

The list of the Device Management Gateways for HALB Virtual Server.

namestring · min: 1 · max: 127 · nullableOptional

The new name for the HALB Virtual Server.

enabledboolean · nullableOptional

Enable/Disable HALB Virtual Server.

ipVersionstring · enumOptional

IP Version

Possible values:
enableGatewayPayloadboolean · nullableOptional

Enable/Disable the Non-SSL Gateway configuration of the HALB Virtual Server .

enableSSLPayloadboolean · nullableOptional

Enable/Disable the SSL Gateway configuration of the HALB Virtual Server.

enableDeviceManagementboolean · nullableOptional

Enable/Disable the Device Management configuration of the HALB Virtual Server.

Responses
put
/api/HALB/{id}

No content

Delete

delete

Remove the specific HALB Virtual Server settings and un-initialize any HALB Devices used by it.

Path parameters
idinteger · int32Required

The ID of the HALB Virtual Server

Query parameters
noUnInstallbooleanOptional

If specified the HALB devices will not be un-initialized.

Responses
delete
/api/HALB/{id}

No content

Last updated